<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFolderPosition Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetFirstFolderPosition Method (IEdmFile5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the parent folders of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFolderPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstFolderPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstFolderPosition();

#### Return Value

IEdmPos5; position of the first parent folder

# Example

Batch Add Files and Folders to Vault (VB.NET)
Batch Add Files and Folders to Vault (C#)

# Remarks

Files can be shared between several folders in SOLIDWORKS PDM Professional. Call IEdmFolder5::AddFileShared to share a file between several folders.

After calling this method to get the postion of the first parent folder in the list, call IEdmFile5::GetNextFolder to get the parent folders.

C++ programmers not using smart-pointer wrapper functions must release the returned pointer to IEdmPos5.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2